%global modname nbxmpp
Name:           python-%{modname}
Version:        0.5.6
Release:        1%{?dist}
Summary:        Python library for non-blocking use of Jabber/XMPP
License:        GPLv3
URL:            https://dev.gajim.org/gajim/python-nbxmpp/
Source0:        https://dev.gajim.org/gajim/python-nbxmpp/repository/archive.tar.bz2?ref=nbxmpp-%{version}#/%{name}-%{version}.tar.bz2
BuildArch:      noarch
BuildRequires:  python2-devel
Requires:       pyOpenSSL
Requires:       pygobject2
Requires:       python-kerberos

%description
python-nbxmpp is a Python library that provides a way for Python applications
to use Jabber/XMPP networks in a non-blocking way.

Features:
- Asynchronous
- ANONYMOUS, EXTERNAL, GSSAPI, SCRAM-SHA-1, DIGEST-MD5, PLAIN, and
    X-MESSENGER-OAUTH2 authentication mechanisms.
- Connection via proxies
- TLS
- BOSH (XEP-0124)
- Stream Management (XEP-0198)

%package doc
Summary:        Developer documentation for %{name}

%description doc
python-nbxmpp is a Python library that provides a way for Python applications
to use Jabber/XMPP networks in a non-blocking way.

This sub-package contains the developer documentation for python-nbxmpp.

%prep
# The upstream gitlab generates tarballs with path prefixes including the git
# commit hash. Make the path predictable by stripping the leading component.
%setup -T -c %{name}-%{version}
tar -xo --strip-components=1 -f %{SOURCE0}

%build
# let's have no executable files in doc/
find doc/ -type f -perm /111 -exec chmod -x {} +
%{__python2} setup.py build

%install
%{__python2} setup.py install -O1 --skip-build --root %{buildroot}

%files
%doc COPYING README ChangeLog
%{python2_sitelib}/%{modname}
%{python2_sitelib}/%{modname}-%{version}-*.egg-info

%files doc
%doc COPYING doc/*

%changelog
* Wed Jun 14 2017 Michal Schmidt <mschmidt@redhat.com> - 0.5.6-1
- Upstream release 0.5.6.

* Wed Jun 14 2017 Michal Schmidt <mschmidt@redhat.com> - 0.5.5-1
- Upstream release 0.5.5.
- New upstream location and tarball format.

* Mon Jul 27 2015 Matej Cepl <mcepl@redhat.com> - 0.5.3-1
- Upstream release 0.5.3.

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Mar 02 2015 Michal Schmidt <mschmidt@redhat.com> - 0.5.2-1
- Upstream bugfix release 0.5.2.

* Thu Oct 16 2014 Michal Schmidt <mschmidt@redhat.com> - 0.5.1-1
- New upstream release, required by Gajim 0.16.

* Mon Aug 11 2014 Michal Schmidt <mschmidt@redhat.com> - 0.5-1
- New upstream release.

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Wed Mar 19 2014 Michal Schmidt <mschmidt@redhat.com> - 0.4-1
- Initial Fedora packaging.
